#include "trigger_labyrinth_reset"
#include "monster_robo"
#include "ns_projectiles"
#include "monster_skulk"
#include "monster_robo2"
#include "monster_healthbot"
#include "monster_hevbot"
#include "effects"

void MapInit()
{

	g_Game.AlertMessage( at_console, "rc_labyrinth.as loaded \n" );
	g_CustomEntityFuncs.RegisterCustomEntity( "trigger_labyrinth_reset", "trigger_labyrinth_reset" );
	
	g_SurvivalMode.EnableMapSupport();
	g_SurvivalMode.SetStartOn( false );
	g_SurvivalMode.Disable();
	
	g_Game.PrecacheGeneric( "sound/rc_labyrinth/intro1.wav" );
	g_Game.PrecacheGeneric( "sound/rc/bite.wav" );
	g_Game.PrecacheGeneric( "sound/weapons/grenade_hit1.wav" );
	g_Game.PrecacheGeneric( "sound/weapons/displacer_fire.wav" );
	g_Game.PrecacheGeneric( "sound/weapons/displacer_impact.wav" );
	g_Game.PrecacheGeneric( "sound/turret/tu_die.wav" );
	g_Game.PrecacheGeneric( "sound/items/medshot4.wav" );
	g_Game.PrecacheGeneric( "sound/items/suitchargeok1.wav" );
	g_Game.PrecacheGeneric( "sound/rc/robo_idle.wav" );
	g_Game.PrecacheGeneric( "sound/rc/robo_idle2.wav" );
	
	g_SoundSystem.PrecacheSound( "rc_labyrinth/intro1.wav" );
	g_SoundSystem.PrecacheSound( "rc/bite.wav" );
	g_SoundSystem.PrecacheSound( "weapons/grenade_hit1.wav" );
	g_SoundSystem.PrecacheSound( "weapons/displacer_fire.wav" );
	g_SoundSystem.PrecacheSound( "weapons/displacer_impact.wav" );
	g_SoundSystem.PrecacheSound( "turret/tu_die.wav" );
	g_SoundSystem.PrecacheSound( "items/medshot4.wav" );
	g_SoundSystem.PrecacheSound( "items/suitchargeok1.wav" );
	g_SoundSystem.PrecacheSound( "rc/robo_idle.wav" );
	g_SoundSystem.PrecacheSound( "rc/robo_idle2.wav" );
	
	g_Game.PrecacheModel( "sprites/rc/rc_explosion2.spr" );
	
	RegisterProjectiles();
	RegisterRobo();
	RegisterRobo2();
	RegisterHealthbot();
	RegisterHevbot();
	RegisterSkulk();

}